Skip to main content
POST
https://api.aisa.one/apis/v1
/
dataforseo
/
dataforseo_labs
/
amazon
/
related_keywords
/
live
Related Keywords
curl --request POST \
  --url https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/amazon/related_keywords/live \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "keyword": "<string>",
  "location_name": "<string>",
  "location_code": 123,
  "language_name": "<string>",
  "language_code": "<string>",
  "depth": 123,
  "include_seed_keyword": true,
  "ignore_synonyms": true,
  "limit": 123,
  "offset": 123,
  "tag": "<string>"
}
'
{
  "version": "<string>",
  "status_code": 123,
  "status_message": "<string>",
  "time": "<string>",
  "cost": 123,
  "tasks_count": 123,
  "tasks_error": 123,
  "tasks": [
    "<string>"
  ],
  "tasks.id": "<string>",
  "tasks.status_code": 123,
  "tasks.status_message": "<string>",
  "tasks.time": "<string>",
  "tasks.cost": 123,
  "tasks.result_count": 123,
  "tasks.path": [
    "<string>"
  ],
  "tasks.data": {},
  "tasks.result": [
    "<string>"
  ],
  "tasks.result.se_type": "<string>",
  "tasks.result.seed_keyword": "<string>",
  "tasks.result.seed_keyword_data": {},
  "tasks.result.location_code": 123,
  "tasks.result.language_code": "<string>",
  "tasks.result.total_count": 123,
  "tasks.result.items_count": 123,
  "tasks.result.items": [
    "<string>"
  ],
  "tasks.result.items.se_type": "<string>",
  "tasks.result.items.keyword_data": {},
  "tasks.result.items.keyword_data.se_type": "<string>",
  "tasks.result.items.keyword_data.keyword": "<string>",
  "tasks.result.items.keyword_data.location_code": 123,
  "tasks.result.items.keyword_data.language_code": "<string>",
  "tasks.result.items.keyword_data.keyword_info": {},
  "tasks.result.items.keyword_data.keyword_info.se_type": "<string>",
  "tasks.result.items.keyword_data.keyword_info.last_updated_time": "<string>",
  "tasks.result.items.keyword_data.keyword_info.search_volume": 123,
  "tasks.result.items.depth": 123,
  "tasks.result.items.related_keywords": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://aisa.one/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
keyword
string
required

keyword required field UTF-8 encoding the keywords should be specified in the lowercase format learn more about rules and limitations of keyword and keywords fields in DataForSEO APIs in this Help Center article

location_name
string
required

full name of the location required field if you don’t specify location_code Note: it is required to specify either location_name or location_code you can receive the list of available locations with their location_name by making a separate request to https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages; Note: this endpoint currently supports the US, Egypt, Saudi Arabia, and the United Arab Emirates locations only; example: United States

location_code
integer
required

location code required field if you don’t specify location_name Note: it is required to specify either location_name or location_code you can receive the list of available locations with their location_code by making a separate request to https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages; Note: this endpoint currently supports the US, Egypt, Saudi Arabia, and the United Arab Emirates locations only; example: 2840

language_name
string
required

full name of the language required field if you don’t specify language_code Note: it is required to specify either language_name or language_code you can receive the list of available locations with their language_name by making a separate request to https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages example: English

language_code
string
required

language code required field if you don’t specify language_name Note: it is required to specify either language_name or language_code you can receive the list of available locations with their language_code by making a separate request to https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages example: en

depth
integer

keyword search depth optional field default value: 1; number of the returned results depends on the value you set in this field; you can specify a level from 0 to 4; estimated number of keywords for each level (maximum): 0 – the keyword set in the keyword field 1 – 6 keywords 2 – 42 keywords 3 – 258 keywords 4 – 1554 keywords

include_seed_keyword
boolean

include data for the seed keyword optional field if set to true, data for the seed keyword specified in the keyword field will be provided in the seed_keyword_data array of the response default value: false

ignore_synonyms
boolean

ignore highly similar keywords optional field if set to true only core keywords will be returned, all highly similar keywords will be excluded; default value: false

limit
integer

the maximum number of returned keywords optional field default value: 100 maximum value: 1000

offset
integer

offset in the results array of returned keywords optional field default value: 0 if you specify the 10 value, the first ten keywords in the results array will be omitted and the data will be provided for the successive keywords

tag
string

user-defined task identifier optional field the character limit is 255 you can use this parameter to identify the task and match it with the result you will find the specified tag value in the data object of the response

Response

Successful response

version
string

the current version of the API

status_code
integer

general status code you can find the full list of the response codes here Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_message
string

general informational message you can find the full list of general informational messages here

time
string

execution time, seconds

cost
number

total tasks cost, USD

tasks_count
integer

the number of tasks in the tasks array

tasks_error
integer

the number of tasks in the tasks array returned with an error

tasks
string[]

array of tasks

tasks.id
string

task identifier unique task identifier in our system in the UUID format

tasks.status_code
integer

status code of the task generated by DataForSEO; can be within the following range: 10000-60000 you can find the full list of the response codes here

tasks.status_message
string

informational message of the task you can find the full list of general informational messages here

tasks.time
string

execution time, seconds

tasks.cost
number

cost of the task, USD

tasks.result_count
integer

number of elements in the result array

tasks.path
string[]

URL path

tasks.data
object

contains the same parameters that you specified in the POST request

tasks.result
string[]

array of results

tasks.result.se_type
string

search engine type

tasks.result.seed_keyword
string

keyword in a POST array

tasks.result.seed_keyword_data
object

keyword data for the seed keyword fields in the object are identical to that of keyword_data

tasks.result.location_code
integer

location code in a POST array

tasks.result.language_code
string

language code in a POST array

tasks.result.total_count
integer

total amount of results in our database relevant to your request

tasks.result.items_count
integer

the number of results returned in the items array

tasks.result.items
string[]

contains objects with keywords and related data

tasks.result.items.se_type
string

search engine type

tasks.result.items.keyword_data
object

keyword data for the returned keyword

tasks.result.items.keyword_data.se_type
string

search engine type

tasks.result.items.keyword_data.keyword
string

related keyword

tasks.result.items.keyword_data.location_code
integer

location code in a POST array

tasks.result.items.keyword_data.language_code
string

language code in a POST array

tasks.result.items.keyword_data.keyword_info
object

keyword info for the returned keyword

tasks.result.items.keyword_data.keyword_info.se_type
string

search engine type

tasks.result.items.keyword_data.keyword_info.last_updated_time
string

date and time when keyword data was updated in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00” example: 2019-11-15 12:57:46 +00:00

tasks.result.items.keyword_data.keyword_info.search_volume
integer

average monthly search volume rate represents the (approximate) number of searches for the provided keyword idea on Amazon

tasks.result.items.depth
integer

keyword search depth

list of related keywords represents the list of search queries which are related to the keyword returned in the array above